﻿<div id="shop-dom">
    <div id="shop-inv" class="half-left app-zone font-small">
        <div class="inner">
            <div>
                <label>Gold: </label><span class="font-bold" data-bind="displayNumber: gold"></span>
            </div>
            <div>
                <label>Bag total: </label><span class="font-bold" data-bind="displayNumber: bagTotal"></span>
            </div>
            <div class="shop-goldleft">
                <label>Gold left: </label><span class="font-bold" data-bind="displayNumber: gold() - bagTotal()"></span>
            </div>
            <ul id="shop-bag" data-bind="foreach: bag">
                <li class="inline-block">
                    <ul class="app-center-list">
                        <li><img class="item-image" width="50" height="50" data-bind="attr: { src: '/File/GetItemImage' + '?id=' + Loom0Id() }"/></li>
                        <li><span data-bind="text: BuyValue"></span></li>
                        <li><button data-bind="click: $parent.removeFromBag">remove</button></li>
                    </ul>
                </li>
            </ul>
            <div id="shop-bag-action">
                <button class="app-button" data-bind="click: buy, enable: canBuy">Buy</button>
            </div>
        </div>
    </div>
    <div id="shop-shop" class="half-right app-zone vertical">
        <div class="inner">
            <div id="shop-menu">
                <ul class="inline-block shop-icons" data-bind="template: { name: 'temp-button', foreach: buttons.armors }"></ul>
                <ul class="inline-block shop-icons" data-bind="template: { name: 'temp-button', foreach: buttons.melees }"></ul>
                <ul class="inline-block shop-icons" data-bind="template: { name: 'temp-button', foreach: buttons.rangeds }"></ul>
                <ul class="inline-block shop-icons" data-bind="template: { name: 'temp-button', foreach: buttons.others }"></ul>
            </div>
            <div id="shop-filter" data-bind="with: currentButton().filter">
                <div class="armor-filter" data-bind="if: isArmor()">
                    <div class="inner">
                        <ul class="list-simple" data-bind="foreach: $parent.armorTypes">
                            <li class="inline-block">
                                <span class="app-button filter-armortype font-small" 
                                    data-bind="text: name, css: { selected: $parent.armorType() === $data.value }, click: function () { $parent.armorType($data.value); }"></span>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div id="shop-items">
                <ul id="shop-list" data-bind="foreach: currentButton().filteredItems">
                    <li class="inline-block shop-item">
                        <div class="inner">
                            <div class="shop-item-info" data-bind="style: { height: $parent.currentButton().itemsHeight + 'px' }">
                                <div><img class="item-image" width="100" height="100" 
                                    data-bind="attr: { src: '/File/GetItemImage?id=' + Loom0Id() }, click: $parent.showItem"/></div>
                                <div class="item-title"><span data-bind="text: Name"></span></div>
                                <ul class="item-details font-micro app-center-list">
                                    <!-- ko template: { name: boe.utils.itemTemplates[Type()], data: $data } --><!-- /ko -->
                                </ul>
                            </div>
                            <div class="item-actions">
                                <div><label>Price: </label><b data-bind="text: BuyValue"></b></div>
                                <div><button class="button-buy app-button" data-bind="click: $parent.addToBag">Add to bag</button></div>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>